Update document theme
curl --request PATCH \
--url https://api.amplify.xyz/v1/esign_documents/{documentId}/theme \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": {
"font": "Arial",
"size": "18px",
"style": [],
"color": "#000000",
"capitalization": "unset",
"line_spacing": 2
},
"background": {
"color": "#FFFFFF",
"opacity": 100
},
"background_image": {
"url": "",
"size": "cover",
"position": "left_top",
"is_repeating": false,
"opacity": 100
},
"applied_to_page": "all_pages"
}
'import requests
url = "https://api.amplify.xyz/v1/esign_documents/{documentId}/theme"
payload = {
"text": {
"font": "Arial",
"size": "18px",
"style": [],
"color": "#000000",
"capitalization": "unset",
"line_spacing": 2
},
"background": {
"color": "#FFFFFF",
"opacity": 100
},
"background_image": {
"url": "",
"size": "cover",
"position": "left_top",
"is_repeating": False,
"opacity": 100
},
"applied_to_page": "all_pages"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: {
font: 'Arial',
size: '18px',
style: [],
color: '#000000',
capitalization: 'unset',
line_spacing: 2
},
background: {color: '#FFFFFF', opacity: 100},
background_image: {
url: '',
size: 'cover',
position: 'left_top',
is_repeating: false,
opacity: 100
},
applied_to_page: 'all_pages'
})
};
fetch('https://api.amplify.xyz/v1/esign_documents/{documentId}/theme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Theme
Update document theme
Customer API v1 endpoint.
PATCH
/
v1
/
esign_documents
/
{documentId}
/
theme
Update document theme
Update document theme. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200
Successful response. Response body was not included in the source collection.
